#ifndef _TERMINALH_
#define _TERMINALH_

#define SER_OK_RECEIVED     (0x01)
#define SER_ERROR_RECEIVED  (0x02)
#define SER_COMMAND_READY   (0x04)
#define SER_STREAM_READ     (0x08)
#define SER_PROMPT_RECEIVED (0x10)

extern volatile unsigned char serReceivedFlags;

void terminal_main(void);
void sendReply(int n);
void executeCommand(char* c);
void terminal_handleSerialIRQ(void);
void printConfig();

extern volatile unsigned char receivedOK;
extern char lastNum[13];


#endif
